Bug 27993 - Koha::Item::Transfer->in_transit should not count cancelled transfers
Summary: Koha::Item::Transfer->in_transit should not count cancelled transfers
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 26481
Blocks: 27281
  Show dependency treegraph
 
Reported: 2021-03-19 08:25 UTC by Martin Renvoize
Modified: 2021-04-13 14:52 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27993: Add unit tests (1.19 KB, patch)
2021-03-19 13:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27993: Add handling for datecancelled in in_transit (998 bytes, patch)
2021-03-19 13:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27993: Add handling for datecancelled in in_transit (1.03 KB, patch)
2021-03-22 10:52 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 27993: Add unit tests (1.24 KB, patch)
2021-03-22 11:28 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 27993: Add handling for datecancelled in in_transit (1.03 KB, patch)
2021-03-22 11:28 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 27993: Add unit tests (1.39 KB, patch)
2021-03-22 11:32 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 27993: Add handling for datecancelled in in_transit (1.18 KB, patch)
2021-03-22 11:32 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-03-19 08:25:20 UTC
Petro Vashchuk has identified a bug in the in_transit method. We should also filter out cancelled transfers.
Comment 1 Martin Renvoize 2021-03-19 13:33:04 UTC
Created attachment 118539 [details] [review]
Bug 27993: Add unit tests

This patch adds a unit test to check that 'in_transit' takes
datecancelled into account.
Comment 2 Martin Renvoize 2021-03-19 13:33:07 UTC
Created attachment 118540 [details] [review]
Bug 27993: Add handling for datecancelled in in_transit

This patch adds handling for the datecancelled field in the in_transit
method.

Test plan
1/ Run the new unit test in t/db_dependent/Koha/Item/Transfer.t
Comment 3 Peter Vashchuk 2021-03-22 10:52:40 UTC Comment hidden (obsolete)
Comment 4 Peter Vashchuk 2021-03-22 11:28:10 UTC
Created attachment 118586 [details] [review]
Bug 27993: Add unit tests

This patch adds a unit test to check that 'in_transit' takes
datecancelled into account.

Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Comment 5 Peter Vashchuk 2021-03-22 11:28:14 UTC
Created attachment 118587 [details] [review]
Bug 27993: Add handling for datecancelled in in_transit

This patch adds handling for the datecancelled field in the in_transit
method.

Test plan
1/ Run the new unit test in t/db_dependent/Koha/Item/Transfer.t

Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Comment 6 Joonas Kylmälä 2021-03-22 11:32:53 UTC
Created attachment 118588 [details] [review]
Bug 27993: Add unit tests

This patch adds a unit test to check that 'in_transit' takes
datecancelled into account.

Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 7 Joonas Kylmälä 2021-03-22 11:32:57 UTC
Created attachment 118589 [details] [review]
Bug 27993: Add handling for datecancelled in in_transit

This patch adds handling for the datecancelled field in the in_transit
method.

Test plan
1/ Run the new unit test in t/db_dependent/Koha/Item/Transfer.t

Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 8 Jonathan Druart 2021-04-01 16:55:04 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-04-13 14:51:52 UTC
Depends on Bug 26481 not in 20.11.x